## debtags 2.0.1ubuntu6

=== doc/Makefile ===
IMAGES=debtags-edit.png packagesearch.png ranganathan.png

all: paper-debtags.html
#paper-debtags.pdf

paper-debtags.html: paper-debtags.rst
	rst2html --no-doc-title --stylesheet=main.css $< > $@

paper-debtags.tex: paper-debtags.rst
	rst2latex $< | sed 's/\.png/\.eps/' > $@

paper-debtags.dvi: paper-debtags.tex $(IMAGES:.png=.eps)
	latex $<
	latex $<

paper-debtags.pdf: paper-debtags.dvi
	dvipdf $< $@

%.eps: %.png
	convert $< $@

clean:
	rm -f *.tex *.dvi *.pdf *.eps *.html

## debtags 1.7.3ubuntu4

=== debian/changelog ===
debtags (1.7.3ubuntu4) hardy; urgency=low

  * Fix build failure with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Jan 2008 17:38:27 +0000

debtags (1.7.3ubuntu3) hardy; urgency=low

  * Rebuild for new libept

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2007 15:00:58 +0000

debtags (1.7.3ubuntu2) gutsy; urgency=low

  * rebuild against latest libept

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 03 Aug 2007 22:02:24 +0200

debtags (1.7.3ubuntu1) gutsy; urgency=low

  * Merge with Debian, remaining changes:
   - edit sources.list to use /usr/share/debtags instead of apt:/
   - include vocabulary.gz installed to /usr/share/debtags (edit Makefile.am)
   - edit get_tabs and get_vocabulary to use anonymous svn and rerun autogen.sh

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Jul 2007 09:16:29 +0000

debtags (1.7.3) unstable; urgency=low

  * Allow to install extra tag sources in /etc/debtags/sources.list.d/
  * Depends on newer ept.  Closes: bug#430567.
  * Fixed various command line options.  Closes: bug#431796.

 -- Enrico Zini <enrico@debian.org>  Fri, 06 Jul 2007 14:17:59 +0100

debtags (1.7.2) unstable; urgency=low

  * Added cron job to update the debtags index daily
  * Removed unimplemented todoreport command from the commandline parser
    (partly solves #402923)

 -- Enrico Zini <enrico@debian.org>  Fri, 22 Jun 2007 14:52:07 +0100

debtags (1.7.1) unstable; urgency=low

  * Improved apt fetcher to collect as many tags as possible and to expand
    compressed tags

 -- Enrico Zini <enrico@debian.org>  Tue, 12 Jun 2007 20:05:16 +0100

debtags (1.7.0ubuntu2really1.6.6ubuntu6) gutsy; urgency=low

  * Recompile for new apt

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 09 Jul 2007 14:39:17 +1000

debtags (1.7.0ubuntu2really1.6.6ubuntu5) gutsy; urgency=low

  * Revert to 1.6.6ubuntu5 until we port Adept to new debtags

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 25 Jun 2007 17:47:10 +0100

debtags (1.7.0ubuntu2) gutsy; urgency=low

  * Recompile for new apt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Jun 2007 19:55:15 +0100

debtags (1.7.0ubuntu1) gutsy; urgency=low

  * Merge with Debian, remaining changes:
   - edit sources.list to use /usr/share/debtags instead of apt:/
   - include vocabulary.gz installed to /usr/share/debtags (edit Makefile.am)
   - edit get_tabs and get_vocabulary to use anonymous svn and rerun autogen.sh

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Jun 2007 12:25:35 +0100

debtags (1.7.0) unstable; urgency=low

  * Fixed documentation of search and grep.  Closes: #397516, #399102.
  * Added missing include, thanks tbm.  Closes: #417153.
  * Fixed commandline help strings.  Closes: #397516, #399102.
  * dumpavail separates records now.  Closes: #423370.
  * dumpavail uses the same field names as apt.  Closes: #423376, #423377.
  * Fixed examples to show the -d switch in the right place.  Closes: 402852.
  * Suggests: tagcoll.  Closes: #402853.

 -- Enrico Zini <enrico@debian.org>  Sat, 09 Jun 2007 21:33:27 +0100

debtags (1.6.6ubuntu5) feisty; urgency=low

  * Rebuilt against new apt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Feb 2007 20:51:38 +0000

debtags (1.6.6ubuntu4) feisty; urgency=low

  * Rebuilt against new apt

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 07 Feb 2007 00:28:22 +0100

debtags (1.6.6ubuntu3) feisty; urgency=low

  * Re-run autogen.sh since vocabulary and tags were missing due
    to svn access issue during latest run.

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 17 Jan 2007 23:59:22 +0100

debtags (1.6.6ubuntu2) feisty; urgency=low

  * Re-run autogen.sh making sure libept and taglib are installed,
    fixes build failure

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 16 Jan 2007 14:44:09 +0000

debtags (1.6.6ubuntu1) feisty; urgency=low

  * Merge with Debian, remaining changes:
   - edit sources.list to use /usr/share/debtags instead of apt:/
   - include vocabulary.gz installed to /usr/share/debtags (edit Makefile.am)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  7 Dec 2006 10:27:07 +0000

debtags (1.6.6) unstable; urgency=high

  * Build-Depend on new libept.  Closes: bug#400994.

 -- Enrico Zini <enrico@debian.org>  Thu, 30 Nov 2006 19:24:59 +0000

debtags (1.6.5) unstable; urgency=low

  * Rebuilt with new libept, to change the submit address for e-mail tag
    submissions.  Closes: bug#399111.
  * Updated the tag fetch URL in debtags-updatecontrol
  * Include updated tag vocabulary
  * Include the reviewed tag database instead of the Alioth one.

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Nov 2006 18:35:46 +0100

debtags (1.6.4ubuntu1) feisty; urgency=low

  * Merge with Debian, remaining changes:
   - edit sources.list to use /usr/share/debtags instead of apt:/
   - include vocabulary.gz installed to /usr/share/debtags (edit Makefile.am)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 24 Nov 2006 15:11:45 +0000

debtags (1.6.4) unstable; urgency=low

  * Depends on new libept, which creates ~/.debtags if it is needed and
    missing
  * Added commented out link to http://www.iterating.org ratings tag source
  * Fixed handling of http sources in fetch script
  * Fetch script now deletes old downloaded files before getting the new ones
  * Updated FAQ

 -- Enrico Zini <enrico@debian.org>  Sun, 29 Oct 2006 21:54:42 +0100

debtags (1.6.3) unstable; urgency=low

  * Conflicts with apt-index-watcher.

 -- Enrico Zini <enrico@debian.org>  Mon, 16 Oct 2006 05:22:04 +0100

debtags (1.6.2) unstable; urgency=low

  * Build-depend on newer libtagcoll2-dev.  Closes: bug#391815.
  * Also build-depend on wibble, since we include it explicitly.

 -- Enrico Zini <enrico@debian.org>  Wed, 11 Oct 2006 22:13:21 +0200

debtags (1.6.1) unstable; urgency=low

  * Added --reindex option to update

 -- Enrico Zini <enrico@debian.org>  Wed,  4 Oct 2006 17:50:57 +0200

debtags (1.6.0) unstable; urgency=low

  * Redesign with new libept.


=== debian/control ===
Source: debtags
Section: admin
Priority: optional
Maintainer: Enrico Zini <enrico@debian.org>
Uploaders: Arnaud Fontaine <arnaud@andesi.org>
Build-Depends: c++abi2-dev, cdbs, debhelper (>> 4.1), dh-buildinfo, pkg-config, apt, libept-dev (>= 0.5.10ubuntu1), libept-dev (<< 0.6), zlib1g-dev, python-dev, python-docutils, libtagcoll2-dev (>= 2.0.4), libtagcoll2-dev (<<2.1), libwibble-dev (>= 0.1.9), libwibble-dev (<< 0.2)
Standards-Version: 3.7.2.2

Package: debtags
Section: admin
Architecture: any
Depends: apt, ${shlibs:Depends}, ${misc:Depends} ${perl:Depends}
Conflicts: apt-index-watcher
Suggests: tagcoll
Description: Enables support for package tags
 debtags provides a system to download a database of package tags and keep
 it up to date.  A package tag is a small label that gets attached to a
 Debian package to represent one of its qualities.
 .
 A package tag database in the system can enable advanced package search
 techniques, and advanced package browsing functions in programs that
 support it.
 .
 This package has been made as a way to deploy and test package tags
 support until it gets integrated in the normal Debian workflow.
 .
 For more information, see the Debtags homepage at:
 http://debtags.alioth.debian.org

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS += --disable-shared

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo

## debtags 1.9%2bgit20120320

=== debian/changelog ===
debtags (1.9+git20120320) precise; urgency=low

  * New git snapshot:
    - use explit libGL.so.1 and libX11.so.6 to ensure that
      cdll.LoadLibrary() finds them
    - if the opengl backend returns "None" return HardwareSupported.UNKNOWN

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Mar 2012 08:52:33 +0100

debtags (1.9+git20120312) precise; urgency=low

  * New git snapshot:
    - fix fglrx opengl detection
    - detect llvmpipe sofware rendering
    - use driver based detection to be more robust
    - improve robustness in case of opengl detection failures/crashes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Mar 2012 10:59:44 +0100

debtags (1.9+git20120302) precise; urgency=low

  * new git snapshot that fixes support for hardware::{digicam,webcam}

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 02 Mar 2012 11:18:18 +0100

debtags (1.9) unstable; urgency=low

  [ Michael Vogt ]
  * debtagshw/*:
    - add support for matching a given hardware:: tag against the
      current running architecture
  * debian/control:
    - add python-setuptools build-dependency

  [ Enrico Zini ]
  * debtags-fetch: cleanup stray commas from tag lines.
    Closes: #660180, #660222
  * A 3-part version scheme isn't really needed: moving to major.minor

 -- Enrico Zini <enrico@debian.org>  Fri, 17 Feb 2012 15:34:45 +0100

debtags (1.8.0+git20120213ubuntu1) precise; urgency=low

  * updated git snapshot:
    - include new debtags-hardware command
    - include support for postive/negative match generator

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Feb 2012 10:33:06 +0100

debtags (1.8.0+git20120126ubuntu2) precise; urgency=low

  * fix build-depends on dh-autoreconf

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Jan 2012 09:07:36 +0100

debtags (1.8.0+git20120126ubuntu1) precise; urgency=low

  * updated to git snapshot
  * debtagshw/*:
    - add support for matching a given hardware:: tag against the
      current running architecture
  * debian/control:
    - add python-setuptools build-dependency

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Jan 2012 21:21:13 +0100

debtags (1.8.0) unstable; urgency=low

  * Removed obsolete/unused command selfcheck
  * Removed obsolete/unused command stats
  * Removed obsolete/unused command todo
  * Removed obsolete/unused command score
  * Removed broken command smartsearch. Closes: #644011.
  * Removed broken command install.
  * Removed obsolete/unused command maintainers
  * Removed obsolete/unused command related. Closes: 403137.
  * Removed obsolete debtags-updatecontrol
  * Send patches via HTTP using external script debtags-submit-patch
    (included). Closes: #641968.
    Added python dependency because of this.
  * Manpage updated. Closes: #641379, #542525, 516098.
  * Documented tax expression syntax in grep. Closes: #589953.
  * Complain about unneeded arguments. Closes: #355634.
  * Fix tagcat to also show tags. Closes: #625456.
  * Homepage moved to the Debian wiki
  * Rewritten fetcher script. Closes: #478590, #481634, #617254.
  * apt-index-watcher is not in stable anymore: dropping conflict.
  * Removed obsolete 'rm's in postinst

 -- Enrico Zini <enrico@debian.org>  Sat, 07 Jan 2012 13:20:34 +0100

debtags (1.7.11ubuntu2) oneiric; urgency=low

  * rebuild against the latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Aug 2011 12:54:19 +0200

debtags (1.7.11ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #672569). Remaining changes:
    - debian/rules:
      + Install a zipped vocabulary to /usr/share/debtags
    - vocabulary:
      + Don't use Debian's security team's tags
    - sources.list:
      + Point at /usr/share/debtags instead of apt://

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 08 Nov 2010 15:25:08 +0100

debtags (1.7.11) unstable; urgency=low

  * Update /var/lib/debtags/package-tags. Closes: #602634.

 -- Enrico Zini <enrico@debian.org>  Sat, 06 Nov 2010 19:33:06 +0000

debtags (1.7.10ubuntu3) natty; urgency=low

  * No-change rebuild for libxapian15 → libxapian22 transition. 

 -- Michael Bienia <geser@ubuntu.com>  Sat, 30 Oct 2010 11:39:18 +0200

debtags (1.7.10ubuntu2) maverick; urgency=low

  * rebuild against latest libept

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Jul 2010 22:29:53 +0200

debtags (1.7.10ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    + debian/rules:
      - Install a zipped vocabulary to /usr/share/debtags
    + vocabulary:
      - Don't use Debian's security team's tags
    + sources.list:
      - Point at /usr/share/debtags instead of apt://

 -- Michael Bienia <geser@ubuntu.com>  Tue, 20 Jul 2010 10:18:47 +0200

debtags (1.7.10) unstable; urgency=low

  * Build with new libept. Closes: #588546
  * No more debtags smartsearch, which has been obsoleted by axi-search
  * Switched to dh7
  * Removed unnecessary python-dev dependency
  * Deprecated debtags-updatecontrol
  * Removed obsolete dependency on c++abi2-dev
  * Switched to Vcs-Git
  * Switch to dpkg-source 3.0 (native) format

 -- Enrico Zini <enrico@debian.org>  Wed, 14 Jul 2010 17:22:13 +0100

debtags (1.7.9ubuntu2) karmic; urgency=low

  * rebuild against latest libept

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 26 Sep 2009 00:10:09 +0200

debtags (1.7.9ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #385245), remaining changes:
    + debian/control:
      - Build-Depend on the build1 version of libept-dev
    + debian/rules:
      - Install a zipped vocabulary to /usr/share/debtags
    + vocabulary:
      - Don't use Debian's security team's tags
    + sources.list:
      - Point at /usr/share/debtags instead of apt://

 -- Michael Terry <michael.terry@canonical.com>  Wed, 10 Jun 2009 09:36:39 -0400

debtags (1.7.9) unstable; urgency=low

  * Build with new libept

 -- Enrico Zini <enrico@debian.org>  Fri, 23 Jan 2009 16:45:54 +0100

debtags (1.7.8) testing-proposed-updates; urgency=low



=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2,autoreconf

override_dh_auto_clean:
	dh_auto_clean --buildsystem=autoconf
	dh_auto_clean --buildsystem=python_distutils

override_dh_auto_configure:
	dh_auto_configure --buildsystem=autoconf
	dh_auto_configure --buildsystem=python_distutils

override_dh_auto_build:
	dh_auto_build --buildsystem=autoconf
	dh_auto_build --buildsystem=python_distutils

override_dh_auto_install:
	dh_auto_install --buildsystem=autoconf
	dh_auto_install --buildsystem=python_distutils
	gzip -9 -c debian/tmp/usr/share/debtags/vocabulary > debian/debtags/usr/share/debtags/vocabulary.gz

override_dh_fixperms:
	dh_fixperms
	test -e /usr/bin/dh_buildinfo && dh_buildinfo

## debtags 1.9%2bgit20120320-0ubuntu1

=== debian/changelog ===
debtags (1.9+git20120320-0ubuntu1) precise-proposed; urgency=low

  * debtagshw/detectors.py:
    - return  HardwareSupported.NO instead of UNKNOWN if a udev property
      for the requested hardware is not found, thanks to Matthew Paul
      Thomas (LP: #1020057)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Jul 2012 11:11:22 +0200

=== debian/control ===
Source: debtags
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Enrico Zini <enrico@debian.org>
Build-Depends:
  debhelper (>= 7.0.50~), dh-buildinfo, pkg-config, apt,
  libwibble-dev (>= 0.1.15), libwibble-dev (<< 0.2),
  libtagcoll2-dev (>= 2.0.4), libtagcoll2-dev (<<2.1),
  libept-dev (>= 1.0), libept-dev (<< 2),
  zlib1g-dev, python, python-docutils, help2man, 
  zlib1g-dev, python, python-docutils, help2man, 
  python-setuptools, dh-autoreconf
Standards-Version: 3.9.2.0
Vcs-Git: git://git.debian.org/debtags/debtags.git
Vcs-Browser: http://git.debian.org/?p=debtags/debtags.git;a=summary
Homepage: http://wiki.debian.org/Debtags

Package: debtags
Section: admin
Architecture: any
Depends: apt, python, python-debian, ${shlibs:Depends}, ${misc:Depends}
Suggests: tagcoll
Description: Enables support for package tags
 debtags provides a system to download a database of package tags and keep
 it up to date.  A package tag is a small label that gets attached to a
 Debian package to represent one of its qualities.
 .
 A package tag database in the system can enable advanced package search
 techniques, and advanced package browsing functions in programs that
 support it.
 .
 This package has been made as a way to deploy and test package tags
 support until it gets integrated in the normal Debian workflow.

Package: python-debtagshw
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: gir1.2-gudev-1.0, laptop-detect, sane-utils, python-cups
Description: Match debtags hardware:: tags against the actual hardware
 debtagshw provides a python library to match a given hardware:: debtag
 against the current system in order to verify that the system supports
 the hardware.

## debtags 1.12ubuntu2

=== debian/changelog ===
debtags (1.12ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:47:00 +0000

debtags (1.12ubuntu1) trusty; urgency=low

  * Drop "Testsuite: autopkgtest" control header, there are no actual tests in
    this package (Closes: #728686)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 04 Nov 2013 09:49:06 +0100

debtags (1.12) unstable; urgency=low

  [ Michael Vogt ]
  * Install files in python3-debtagshw

  [ Enrico Zini ]
  * Build with new wibble

 -- Enrico Zini <enrico@debian.org>  Fri, 25 Oct 2013 12:41:25 +0200

debtags (1.11) unstable; urgency=low

  [ Michael Vogt ]
  * merged patch from Dmitrijs Ledkovs to add python3 support
    for the debtagshw module, thanks!
    closes: #686297

  [ Enrico Rossi ]
  * Bash-completion now complete tags as expected. (Closes: #401037)

  [ Enrico Zini ]
  * Added /etc/apt.conf.d/80debtags, thanks to Daniel Hartwig. Closes: #670697
  * Updated copyright file
  * Updated standards-version, no changes required.
  * debtags show: add "Tag:" field also to packages that do not have one
    already in the Packages file

 -- Enrico Zini <enrico@debian.org>  Sat, 10 Aug 2013 12:12:35 +0200

debtags (1.10.2) unstable; urgency=low

  * debtagshw/detectors.py:
    - return  HardwareSupported.NO instead of UNKNOWN if a udev property
      for the requested hardware is not found, thanks to Matthew Paul
      Thomas (LP: #1020057)

 -- Michael Vogt <mvo@debian.org>  Tue, 03 Jul 2012 11:17:21 +0200

debtags (1.10.1) unstable; urgency=low

  [ Chris J Arges ]
  * debian/control: FTBFS: Add dh-autoreconf to Build-Depends.

 -- Michael Vogt <mvo@debian.org>  Thu, 21 Jun 2012 15:36:30 +0200

debtags (1.10) unstable; urgency=low

  [ Enrico Rossi ]
  * Typo fixed in manpage. (Closes: #657684)
  * Re-added the cat command erroneously removed.
  * Bash-completion react to diff. Partially fix #401037
  * Fix "Option --reindex listed in the man-page not supported"
    (Closes: #491408)
  * Fix "Permission denied opening vocabulary file" (Closes: #326819)
  
  [ Michael Vogt ]
  * improvements to debtagshw

 -- Michael Vogt <mvo@debian.org>  Wed, 20 Jun 2012 12:15:58 +0200

debtags (1.9.1) unstable; urgency=high

   * Non maintainer upload.
   * Fix build failure with GCC 4.7. Closes: #672032.

 -- Matthias Klose <doko@debian.org>  Wed, 09 May 2012 22:22:40 +0000

debtags (1.8.1~exp1) experimental; urgency=low

  * rebuild against latest libapt
  * debtagshw/*:
    - add python library that supports matching a given hardware:: 
      tag against the current running hardware

 -- Michael Vogt <mvo@debian.org>  Tue, 24 Jan 2012 15:07:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Enrico Zini <enrico@debian.org>
+Uploaders: Enrico Rossi <e.rossi@tecnobrain.com>
 Build-Depends:
-  debhelper (>= 7.0.50~), dh-buildinfo, pkg-config, apt,
-  libwibble-dev (>= 0.1.15), libwibble-dev (<< 0.2),
+  debhelper (>= 7.0.50~), dh-buildinfo, dh-autoreconf, pkg-config, apt,
+  libwibble-dev (>= 1.1), libwibble-dev (<< 2.0),
   libtagcoll2-dev (>= 2.0.4), libtagcoll2-dev (<<2.1),
   libept-dev (>= 1.0), libept-dev (<< 2),
-  zlib1g-dev, python, python-docutils, help2man, 
-  zlib1g-dev, python, python-docutils, help2man, 
-  python-setuptools, dh-autoreconf
-Standards-Version: 3.9.2.0
+  zlib1g-dev, python-all, python3-all, python-docutils, help2man,
+  python-setuptools, python3-setuptools
+Standards-Version: 3.9.4.0
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 Vcs-Git: git://git.debian.org/debtags/debtags.git
 Vcs-Browser: http://git.debian.org/?p=debtags/debtags.git;a=summary
 Homepage: http://wiki.debian.org/Debtags
@@ -42,3 +44,14 @@
  debtagshw provides a python library to match a given hardware:: debtag
  against the current system in order to verify that the system supports
  the hardware.
+
+Package: python3-debtagshw
+Section: python
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}
+Recommends: gir1.2-gudev-1.0, laptop-detect, sane-utils, python-cups
+Description: Match debtags hardware:: tags against the actual hardware (Python 3)
+ debtagshw provides a python library to match a given hardware:: debtag
+ against the current system in order to verify that the system supports
+ the hardware.
+ This package is for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3:=$(shell py3versions -r)
py3sdo=set -e; $(foreach py, $(PYTHON3), $(py) $(1);)

%:
	dh $@ --with=python2,python3,autoreconf

override_dh_auto_clean:
	dh_auto_clean --buildsystem=autoconf
	dh_auto_clean --buildsystem=python_distutils

override_dh_auto_configure:
	dh_auto_configure --buildsystem=autoconf
	dh_auto_configure --buildsystem=python_distutils

override_dh_auto_build:
	dh_auto_build --buildsystem=autoconf
	dh_auto_build --buildsystem=python_distutils
	$(call py3sdo, setup.py build)

override_dh_auto_install:
	dh_auto_install --buildsystem=autoconf
	dh_auto_install --buildsystem=python_distutils
	$(call py3sdo, setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb)

override_dh_fixperms:
	dh_fixperms
	test -e /usr/bin/dh_buildinfo && dh_buildinfo

# Custom rules used only during development

debsrc:
	debian/vercheck
	git-buildpackage -S -us -uc
	rm -f ../$(RELEASE_PACKAGE)_$(VERSION)_source.changes

## debtags 2.0.1ubuntu6

=== debian/changelog ===
debtags (2.0.1ubuntu6) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Jan 2016 19:29:06 +0000

debtags (2.0.1ubuntu5) xenial; urgency=medium

  * Shrug, actually upload the change described

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Oct 2015 16:16:30 +0100

debtags (2.0.1ubuntu4) xenial; urgency=medium

  * debian/control:
    - laptop-detect is needed as well, should be enough and pbuilder tested

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Oct 2015 16:11:19 +0100

debtags (2.0.1ubuntu3) xenial; urgency=medium

  * debian/control:
    - build-depends on python3-cups as well

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Oct 2015 11:33:21 +0100

debtags (2.0.1ubuntu2) xenial; urgency=medium

  * debian/control:
    - build-depends on pyflakes and python-mock, fixes the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Oct 2015 11:22:11 +0100

debtags (2.0.1ubuntu1) xenial; urgency=medium

  * Resynchronize with Debian, remaining changes
  * Restore python2 bindings (hopefully temporarily) for software-center,
    to unblock the g++5 transition.
  * Requires from __future__ import print_function for python2 compatibility

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Oct 2015 11:01:47 +0100

debtags (2.0.1) unstable; urgency=high

  * Fix bash-completion filename. Closes: #791557

 -- Enrico Rossi <e.rossi@tecnobrain.com>  Tue, 08 Sep 2015 10:05:49 +0200

debtags (2.0+nmu1) unstable; urgency=high

  * Non-maintainer upload.
  * Add missing dependencies on python3-apt and python3-debian.
    Closes: #791561

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 08 Jul 2015 17:21:33 +0200

debtags (2.0) unstable; urgency=medium

  * Ported to python3
  * Only build python3 modules

 -- Enrico Zini <enrico@debian.org>  Sun, 21 Jun 2015 15:15:06 +0200

debtags (1.14) experimental; urgency=medium

  * Ported to new libept
  * Disabled patch editing with 'debtags tag ...'

 -- Enrico Zini <enrico@debian.org>  Thu, 18 Jun 2015 11:11:41 +0200

debtags (1.12.3) unstable; urgency=medium

  * Remove leftover empty dirs in /etc. Closes: #764235

 -- Enrico Zini <enrico@debian.org>  Sun, 26 Oct 2014 14:14:06 +0100

debtags (1.12.2) unstable; urgency=medium

  * Reimplemented update to always get tags from apt only. Merging databases
    was not really used, YAGNI, and it's time to simplify the overengineered
    debtags design. Closes: #762347.
  * Removed unused XS-Testsuite: autopkgtest. Closes: #728683
  * Updated standards-version, no changes required.

 -- Enrico Zini <enrico@debian.org>  Sun, 05 Oct 2014 22:21:38 +0200

debtags (1.12.1) unstable; urgency=low

  [ Enrico Rossi ]
  * Fix wrong apt.conf.d installation path. (Closes: #730077, #670697)
  * Fix debtags-fetch: Do not download remote tags if --local is specified,
    and HTTP error if remote is unreachable. (Closes: #729502)

 -- Enrico Zini <enrico@debian.org>  Fri, 18 Jul 2014 17:49:53 +0200

=== debian/control ===
Source: debtags
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Enrico Zini <enrico@debian.org>
Uploaders: Enrico Rossi <e.rossi@tecnobrain.com>
Build-Depends:
  debhelper (>= 9), dh-buildinfo, dh-python,
  python-setuptools, python-all,
  python-apt, python-debian,
  pyflakes, python3-mock, python3-cups, laptop-detect,
  python-docutils,
  python3-setuptools, python3-all,
  python3-apt, python3-debian,
  python3-docutils, help2man, bash-completion
Standards-Version: 3.9.6.0
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: git://git.debian.org/debtags/debtags.git
Vcs-Browser: http://git.debian.org/?p=debtags/debtags.git;a=summary
Homepage: http://wiki.debian.org/Debtags

Package: debtags
Section: admin
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-apt, python3-debian
Suggests: tagcoll
Description: Debian Package Tags support tools
 debtags extracts tag information from the apt database and makes it available
 to the system, either in /var/lib/debtags/debtags or via apt-xapian-index.
 . 
 Package tags are categories for debian packages.
 .
 debtags also provides some handy command to query tag information.

Package: python-debtagshw
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: gir1.2-gudev-1.0, laptop-detect, sane-utils, python-cups
Description: Match debtags hardware:: tags against the actual hardware
 debtagshw provides a python library to match a given hardware:: debtag
 against the current system in order to verify that the system supports
 the hardware.

Package: python3-debtagshw
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: gir1.2-gudev-1.0, laptop-detect, sane-utils, python-cups
Description: Match debtags hardware:: tags against the actual hardware (Python 3)
 debtagshw provides a python library to match a given hardware:: debtag
 against the current system in order to verify that the system supports
 the hardware.
 This package is for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild --with bash-completion

override_dh_auto_build:
	./rebuild-manpages
	make -C doc

override_dh_fixperms:
	dh_fixperms
	test -e /usr/bin/dh_buildinfo && dh_buildinfo

# Custom rules used only during development

debsrc:
	debian/vercheck
	gbp buildpackage -S -us -uc
	rm -f ../$(RELEASE_PACKAGE)_$(VERSION)_source.changes

## debtags 2.1.2

=== debian/changelog ===
debtags (2.1.2) unstable; urgency=low

  * Add facet:suite and tag:mysql to the vocabulary. (Closes: #830626)

 -- Enrico Rossi <e.rossi@tecnobrain.com>  Fri, 09 Sep 2016 14:42:59 +0200

debtags (2.1.1) unstable; urgency=low

  * New maintainer. (Closes: #813204)
  * Set standards-version to 3.9.8 no changes required.
  * Fix UnicodeDecodeError on non-utf8 data from apt cache.
    (Closes: #828776, #799584)

 -- Enrico Rossi <e.rossi@tecnobrain.com>  Tue, 05 Jul 2016 15:33:30 +0200

debtags (2.1) unstable; urgency=low

  * Removed no longer maintained debtagshw software (Closes: #821407)
  * Removed no longer maintained debtags-submit-patch.
  * Fix missing manpage.
  * removed no longer supported "debtags submit" command, it was
    based on debtags-submit-patch.
  * Set standard version to 3.9.7 no changes required.

 -- Enrico Rossi <e.rossi@tecnobrain.com>  Mon, 25 Apr 2016 14:45:21 +0200

debtags (2.0.2) unstable; urgency=high

  [ Enrico Rossi ]
  * Fix "obsolete conffiles" by remove
    /etc/bash-completion.d/bash-completion and
    /etc/bash-completion.d/debtags left from upgrades. (Closes: #798520)
  * Fix "FTBFS: FileNotFoundError: [Errno 2] No such file or directory:
    'pyflakes'". Missing build dep. (Closes: #808642)

  [ Enrico Zini ]
  * Set Enrico Rossi as Maintainer

 -- Enrico Zini <enrico@debian.org>  Thu, 04 Feb 2016 11:46:23 +0100

=== debian/control ===
Source: debtags
Section: admin
Priority: optional
Maintainer: Enrico Rossi <e.rossi@tecnobrain.com>
Uploaders: Enrico Zini <enrico@debian.org>
Build-Depends:
  debhelper (>= 9), dh-buildinfo, dh-python,
  python3-setuptools, python3-all,
  python3-apt, python3-debian,
  pyflakes, help2man, bash-completion
Standards-Version: 3.9.8.0
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/debtags/debtags.git
Vcs-Browser: https://anonscm.debian.org/cgit/debtags/debtags.git/
Homepage: http://wiki.debian.org/Debtags

Package: debtags
Section: admin
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-apt, python3-debian
Suggests: tagcoll
Description: Debian Package Tags support tools
 debtags extracts tag information from the apt database and makes it available
 to the system, either in /var/lib/debtags/debtags or via apt-xapian-index.
 . 
 Package tags are categories for Debian packages.
 .
 debtags also provides some handy command to query tag information.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3 --buildsystem=pybuild --with bash-completion

override_dh_auto_build:
	help2man --name="Debian Package Tags support tools" --section=1 --no-info --opt-include=doc/debtags-man-hooks ./debtags > debian/debtags.1
	dh_auto_build

override_dh_fixperms:
	dh_fixperms
	test -e /usr/bin/dh_buildinfo && dh_buildinfo

# Custom rules used only during development

debsrc:
	debian/vercheck
	gbp buildpackage -S -us -uc
	rm -f ../$(RELEASE_PACKAGE)_$(VERSION)_source.changes

# Download the tags and vocabulary files for a new release.
#
release:
	curl https://anonscm.debian.org/cgit/debtags/tagdb.git/plain/tags | tagcoll copy | gzip -n9 > tags-current.gz
	curl https://anonscm.debian.org/cgit/debtags/vocabulary.git/plain/debian-packages > vocabulary
	curl https://anonscm.debian.org/cgit/debtags/vocabulary.git/plain/security-team >> vocabulary
	dch --release

## debtags 2.1.5

=== debian/changelog ===
debtags (2.1.5) unstable; urgency=low

  * Fix FTBFS with pyflakes 1.6.0-1. (Closes: #884196)
  * std-version to 4.1.3 checked and applied.

 -- Enrico Rossi <e.rossi@tecnobrain.com>  Wed, 03 Jan 2018 16:30:46 +0100

debtags (2.1.4) unstable; urgency=medium

  * Fix missing command line argumets error. (Closes: #791575)
  * Fix encoding syntax, BTW UTF-8 is default in python3.
  * Update python3 dependency to 3.5
  * std-version to 4.0.0 checked and applied.
  * Fix tagdb and vocabulary versions hardcoded in debian/rule.

 -- Enrico Rossi <e.rossi@tecnobrain.com>  Mon, 21 Aug 2017 15:03:45 +0200

debtags (2.1.3) unstable; urgency=low

  * Fix typo in the vocabulary. (Closes: #677477)
  * Close old already fixed bugs. (Closes: #702466)
  * Fix bash_completion.
  * Add accessibility::accessible-via:... family to the vocabulary.
    (Closes: #855446)
  * Fix rm_conffile call. (Closes: #868089)

 -- Enrico Rossi <e.rossi@tecnobrain.com>  Thu, 27 Jul 2017 15:09:28 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
   debhelper (>= 9), dh-buildinfo, dh-python,
   python3-setuptools, python3-all,
   python3-apt, python3-debian,
-  pyflakes, help2man, bash-completion
-Standards-Version: 3.9.8.0
-X-Python3-Version: >= 3.2
+  pyflakes3, help2man, bash-completion
+Standards-Version: 4.1.3
+X-Python3-Version: >= 3.5
 Vcs-Git: https://anonscm.debian.org/git/debtags/debtags.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debtags/debtags.git/
 Homepage: http://wiki.debian.org/Debtags

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+# Define which release of the tagdb and vocabulary to be used.
+DEBTAGS_TAGDB_GIT_ID = "f3dbab179dbfb1077fce323b8b02bf9a549098bb"
+DEBTAGS_VOCABULARY_GIT_ID = "c8de9039711a35b560602dbeed72b7925d93db32"
 
 %:
 	dh $@ --with=python3 --buildsystem=pybuild --with bash-completion
@@ -21,7 +25,7 @@
 # Download the tags and vocabulary files for a new release.
 #
 release:
-	curl https://anonscm.debian.org/cgit/debtags/tagdb.git/plain/tags | tagcoll copy | gzip -n9 > tags-current.gz
-	curl https://anonscm.debian.org/cgit/debtags/vocabulary.git/plain/debian-packages > vocabulary
-	curl https://anonscm.debian.org/cgit/debtags/vocabulary.git/plain/security-team >> vocabulary
+	curl https://anonscm.debian.org/cgit/debtags/tagdb.git/plain/tags?id=$(DEBTAGS_TAGDB_GIT_ID) | tagcoll copy | gzip -n9 > tags-current.gz
+	curl https://anonscm.debian.org/cgit/debtags/vocabulary.git/plain/debian-packages?id=$(DEBTAGS_VOCABULARY_GIT_ID) > vocabulary
+	curl https://anonscm.debian.org/cgit/debtags/vocabulary.git/plain/security-team?id=$(DEBTAGS_VOCABULARY_GIT_ID) >> vocabulary
 	dch --release
